Bug 509669 - yum list uses unexplained @ flag
yum list uses unexplained @ flag
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-04 17:42 EDT by amturnip
Modified: 2014-01-21 18:10 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-08 15:03:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description amturnip 2009-07-04 17:42:14 EDT
Description of problem:

I do not find an explanation of the output of "yum list".  Under the heading "Installed Packages", the third column says 'installed' for some entries but shows a flag '@' and a repository name for others.  The third column does not have a heading, and I checked 'man yum' and 'yum help list' but did not see it mentioned there either.

Steps to Reproduce:
$ yum list
$ man yum
$ yum help list

Actual results of 'yum list' include these lines:

Installed Packages
kernel.x86_64                          2.6.29.5-191.fc11               installed
kernel-devel.x86_64                    2.6.29.5-191.fc11               @updates 
kernel-firmware.noarch                 2.6.29.5-191.fc11               installed
kernel-headers.x86_64                  2.6.29.5-191.fc11               @updates 
kerneloops.x86_64                      0.12-5.fc11                     installed
Available Packages
kernel-debug.x86_64                    2.6.29.5-191.fc11               updates  
kernel-debug-devel.x86_64              2.6.29.5-191.fc11               updates  
kernel-doc.noarch                      2.6.29.5-191.fc11               updates  


Expected results:

In the output of 'yum list', or in 'man yum', or 'yum help list', an indication of what the '@' means in the context of '@updates'.
Comment 1 seth vidal 2009-07-06 11:09:08 EDT
in yum 3.2.23 and beyond we're capturing what repo a package was installed FROM. So pkgs installed with that ver of yum will list out their repo-of-origin when you list them.


@repo means the pkg was installed from that repo.
Comment 2 seth vidal 2009-07-08 15:03:56 EDT
I've documented this in the man page now. Suggestions on ways to improve the man page are welcome, though:

http://yum.baseurl.org/gitweb?p=yum.git;a=blob;f=docs/yum.8;h=352091260f46be8030ec9db9b7774589527d48ec;hb=75c3c7dc4540f473c292bcde7e416aebe417c67c#l337
Comment 3 Fedora Update System 2009-09-29 21:38:52 EDT
yum-3.2.24-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2009-10-19 12:45:29 EDT
yum-3.2.24-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/yum-3.2.24-2.fc10
Comment 5 Fedora Update System 2009-11-04 07:06:12 EST
yum-3.2.24-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.